<template>
  <div id="app">
    <img alt="Vue logo" src="./assets/logo.png">
    <div class="hello">
    <h2>Sum Numbers</h2>
    <input v-model="firstNum" id="firstInput" type="text"> +
    <input v-model="secondNum" id="secondInput" type="text">
    <button id="submitButton" @click="callSum()">Sum</button>
    <p v-if="result" class="result">{{result}}</p>
    <p v-if="error" class="error">{{error}}</p>
  </div>
  </div>
</template>

<script>

export default {
  name: 'App',
  data() {
    return {
      firstNum: '',
      secondNum: '',
      result: null,
      error: null
    }
  },
  methods: {
    checkNumbers(firstNum, secondNum) {
      if(isNaN(Number(firstNum)) || isNaN(Number(secondNum)) || firstNum === '' || secondNum === '') {
        return false
      } else {
        return true
      }
    },
    sumNumbers(firstNum, secondNum) {
      if(isNaN(Number(firstNum)) || isNaN(Number(secondNum))) {
        this.result = null
      } else {
        this.result = Number(firstNum) + Number(secondNum)
      }
    },
    callSum() {
      this.result = null
      this.error = null

      if(this.checkNumbers(this.firstNum, this.secondNum) === true) {
        this.sumNumbers(this.firstNum, this.secondNum)
      } else {
        this.error = "Enter the numbers correctly"
      }
    }
  }
  
}
</script>

<style lang="scss">
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
}
</style>
